Bug 1851470 (CVE-2020-15564) - CVE-2020-15564 xen: missing alignment check in VCPUOP_register_vcpu_info leads to DoS (XSA-327)
Summary: CVE-2020-15564 xen: missing alignment check in VCPUOP_register_vcpu_info lead...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-15564
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1854458
Blocks: 1851487
TreeView+ depends on / blocked
 
Reported: 2020-06-26 16:19 UTC by Dhananjay Arunesh
Modified: 2020-07-21 18:52 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An input validation flaw was found in Xen. A malicious guest administrator could abuse this flaw to cause a hypervisor crash by passing a misaligned address, resulting in a Denial of Service condition (DoS).
Clone Of:
Environment:
Last Closed: 2020-07-07 19:28:20 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2020-06-26 16:19:10 UTC
The hypercall VCPUOP_register_vcpu_info is used by a guest to register a shared region with the hypervisor. The region will be mapped into Xen address space so it can be directly accessed. On Arm, the region is accessed with instructions which require a specific alignment. Unfortunately, there is no check that the address provided by the guest will be correctly aligned. As a result, a malicious guest could cause a hypervisor crash by passing a misaligned address.

Comment 1 Mauro Matteo Cascella 2020-07-01 14:52:39 UTC
Acknowledgments:

Name: the Xen project

Comment 2 Mauro Matteo Cascella 2020-07-06 13:45:09 UTC
Statement:

Only ARM systems are vulnerable, x86 systems are not affected by this flaw.

Comment 3 Mauro Matteo Cascella 2020-07-07 13:55:56 UTC
External References:

https://xenbits.xen.org/xsa/advisory-327.html

Comment 4 Mauro Matteo Cascella 2020-07-07 13:56:18 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1854458]

Comment 5 Product Security DevOps Team 2020-07-07 19:28:20 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-15564

Comment 6 Product Security DevOps Team 2020-07-08 01:27:35 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-15564

Comment 7 Product Security DevOps Team 2020-07-08 07:27:36 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-15564


Note You need to log in before you can comment on or make changes to this bug.